# 业务分部（历史趋势）

`GET` `/v1/quote/fundamentals/business-segments/history`

获取上市公司按报告期的历史业务分部收入趋势。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 证券代码，例如 `AAPL.US` |
| `report` | string | No | 报告类型：`qf`（季报）/ `saf`（半年报）/ `af`（年报） |
| `cate` | string | No | 分部类别过滤 |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/fundamentals/business-segments/history?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `historical` | object[] | No | 历史报告期列表 |
| `└ total` | string | No | 当期总收入 |
| `└ currency` | string | No | 货币代码 |
| `└ date` | string | No | 报告期，格式 YYYYMMDD，例如 `20260331` |
| `└ report` | string | No | 报告期代码（如 `af` = 年报） |
| `└ report_txt` | string | No | 报告期标签（如 `FY2024`、`Q1 2024`） |
| `└ fp_start` | string | No | 财政期开始日期，格式 `YYYY.MM.DD` |
| `└ fp_end` | string | No | 报告期结束时间戳 |
| `└ rpt_date` | string | No | 财报发布日期 |
| `└ business` | object[] | No | 业务分部列表 |
| `└ ∟ name` | string | No | 业务分部名称 |
| `└ ∟ percent` | string | No | 收入占比（百分比，例如 `40.80`） |
| `└ ∟ value` | string | No | 绝对收入数值 |
| `└ ∟ id` | string | No | 新创建提醒的 ID |
| `└ ∟ yoy` | string | No | 同比增长率 |
| `└ regionals` | array | No | 地区分部列表（当前通常为空数组） |
| `└ bus_ids` | array | No | 业务分部 ID 列表。 |
| `└ reg_ids` | array | No | 区域分部 ID 列表。 |
| `└ yoy` | string | No | 同比增长率 |
| `bus_ids` | array | No | 业务分部 ID 列表。 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "historical": [
      {
        "date": "20260331",
        "total": "124300000000",
        "currency": "USD",
        "business": [
          {
            "name": "Americas",
            "percent": "40.80",
            "value": "31968000000"
          },
          {
            "name": "Europe",
            "percent": "23.64",
            "value": "18521000000"
          },
          {
            "name": "Greater China",
            "percent": "20.72",
            "value": "16233000000"
          }
        ],
        "regionals": []
      }
    ]
  }
}
```
